Bug 429742 - cannot manage users using system-config-samba
cannot manage users using system-config-samba
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-samba (Show other bugs)
x86_64 Linux
high Severity medium
: rc
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2008-01-22 15:33 EST by Dimitar Velitchkov
Modified: 2010-10-22 17:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 16:08:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dimitar Velitchkov 2008-01-22 15:33:33 EST
Description of problem:

Cannot manage users using the tool. Existing users in the smbusers file are not
shown in the list. New users are successfully added to the file, but do not
appear in the list. The per-share-access-control list of users allowed to login
is also always empty. The tool does not report any errors. 

Version-Release number of selected component (if applicable):
system-config-samba 1.2.39-1.el5.noarch

How reproducible:


Steps to Reproduce:
1. startup system-config-samba as root
2. Preferences -> Samba Users
3. click "add", add a user
Actual results:

No existing users are shown. The new user is added to the smbusers file, but not
shown in the list - cannot be modified/deleted using the gui. 

Expected results:

Existing users plus the newly-added user should be shown. 

Additional info:
Comment 1 Darko Gavrilovic 2008-04-05 19:45:40 EDT
this bug is still applcable to 
Red Hat Enterprise Linux Server release 5.1 (Tikanga)
Linux stomp.drgnet.local 2.6.18-53.1.14.el5 #1 SMP Tue Feb 19 07:18:21 EST 2008
i686 i686 i386 GNU/Linux
Comment 3 Lutz Lange 2008-05-07 09:28:26 EDT
please fix this, since it keeps poping up in training (GLS). 
Users like to use the system config tools. 

I suspect this shouldn't be too hard to fix.
Comment 4 RHEL Product and Program Management 2008-06-02 16:23:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 5 Phil Knirsch 2008-06-13 09:43:48 EDT
This bug needs a review from the component owner before granting Devel ACK.


Read ya, Phil
Comment 11 steven leeman 2008-08-22 07:39:35 EDT
this bug still hasn't been fixed in the last Redhat EE version making it not usable as a windows file server?
Comment 14 Mr. A 2009-01-10 14:20:10 EST
Any status on this bug?!! It has been SO LONG!  This is an essential feature, and causing a lot of headache.  I am sure some people and new prospects are using Windows OS just because of this bug.  It is disappointing that this has not been taken care of yet.
Comment 15 Nils Philippsen 2009-01-13 12:05:11 EST
A fixed package for this bug will be part of the upcoming 5.3 update.

There's been a lot going on in the background about this bug which is not publicly visible, e.g. the backport of the fix from the versions in Fedora, QA/testing and the like. The bug will be updated again when packages containing the fixes are available via RHN to customers.

As a customer, you can of course get assistance directly from Red Hat Support.
Comment 16 errata-xmlrpc 2009-01-20 16:08:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.